<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gxwebsoft.shop.mapper.ShopDealerCapitalMapper">

    <!-- 关联查询sql -->
    <sql id="selectSql">
        SELECT a.*, b.order_no, b.month, c.nickname AS nickName, d.nickname AS toNickName
        FROM shop_dealer_capital a
        LEFT JOIN shop_dealer_order b ON a.order_no = b.order_no
        LEFT JOIN gxwebsoft_core.sys_user c ON a.user_id = c.user_id and c.deleted = 0
        LEFT JOIN gxwebsoft_core.sys_user d ON a.to_user_id = d.user_id and d.deleted = 0
        <where>
            <if test="param.id != null">
                AND a.id = #{param.id}
            </if>
            <if test="param.userId != null">
                AND a.user_id = #{param.userId}
            </if>
            <if test="param.orderNo != null">
              AND a.order_no = #{param.orderNo}
            </if>
            <if test="param.flowType != null">
                AND a.flow_type = #{param.flowType}
            </if>
            <if test="param.money != null">
                AND a.money = #{param.money}
            </if>
            <if test="param.toUserId != null">
                AND a.to_user_id = #{param.toUserId}
            </if>
            <if test="param.createTimeStart != null">
                AND a.create_time &gt;= #{param.createTimeStart}
            </if>
            <if test="param.createTimeEnd != null">
                AND a.create_time &lt;= #{param.createTimeEnd}
            </if>
            <if test="param.month != null">
                AND b.month = #{param.month}
            </if>
            <if test="param.keywords != null">
                AND (a.comments LIKE CONCAT('%', #{param.keywords}, '%')
                    OR a.user_id = #{param.keywords}
                    OR a.order_no = #{param.keywords}
                )
              </if>
        </where>
    </sql>

    <!-- 分页查询 -->
    <select id="selectPageRel" resultType="com.gxwebsoft.shop.entity.ShopDealerCapital">
        <include refid="selectSql"></include>
    </select>

    <!-- 查询全部 -->
    <select id="selectListRel" resultType="com.gxwebsoft.shop.entity.ShopDealerCapital">
        <include refid="selectSql"></include>
    </select>

</mapper>
